DKBSignDocs

API reference

POSTRequires Bearer token

Upload a document for AI

/api/ai/documents

Multipart PDF or JSON with base64 content.

Path parameters

This endpoint has no path parameters.

Query parameters

This endpoint has no query parameters.

Request body

Send as multipart/form-data.

FieldTypeDescription
file
stringPDF file (multipart).
filename
stringFile name when sending JSON.
e.g. "contract.pdf"
content_base64
stringPDF content, base64-encoded.

Responses

StatusMeaning
500See the example response.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/ai/documents' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Accept: application/json' \
  -F 'file=file' \
  -F 'filename=contract.pdf' \
  -F 'content_base64=content_base64'

Response 200

json
{
  "status": "success",
  "message": "Upstream response is forwarded unchanged."
}